Skip to main content
PATCH
Edit Punch Card

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

punchCardId
string
required

ID of the Punch Card to edit

Body

application/json
forSale
boolean
required

Indicates if the punch card can be bought online via the customer portal. Defaults to false when ommited.

Example:

true

price
string

The price, including VAT, of which this punch card should be sold for. Only required when the card is set for sale.

Example:

"229.95"

vatRate
integer

Percentage of VAT which applies to this punch card. Only required when the card is set for sale. Possible values are 21, 9 and 0.

Example:

21

Response

The edited Punch Card

Punch Card

id
string

ID of the punch card, always starting with pcd_.

Example:

"pcd_abc12345def678"

name
string
Example:

"Driving lessons"

description
string | null

Description of the card. Will be shown in the portal

Example:

"Lessons in a BMW, Mon-Fri 09AM-05PM"

punches
integer

Punch count for this card

Example:

20

punchLabel
string

Type of punches

Example:

"lessons"

forSale
boolean

Indicates if the punch card can be bought online in the customer portal

Example:

true

price
string | null

Price, including VAT, of which this card will be sold for, in EUR. Will be null when the card is not for sale

Example:

"229.95"

vatRate
integer | null

Percentage of VAT which is applied to the price. Can be 21, 9 or 0. Will be null when the card is not for sale

Example:

21

expiryValue
integer

Number of units when this cards expires into the future

Example:

3

expiryPeriode
string | null

Unit of when this cards expires into the future. Can be days, months or years.

Example:

"years"

createdAt
string

Date and time when the card was created. Written in ATOM format.

Example:

"2025-11-19T21:00:00+02:00"